Create a centro de resultados
curl --request POST \
--url https://api.finsync.ar/api/cost-centers \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"default_currency": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_currency: '<string>'})
};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_currency: '<string>'})
};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers"
payload = {
"name": "<string>",
"default_currency": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"company_id": 123,
"client_id": 123,
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>",
"budgets": "<array>"
}Cost Centers
Create a centro de resultados
Creates a cost center for the API-key company using the same domain path as the dashboard: CostCenter row plus a type=1 client tagged Centro de resultados (legacy Centro de costos tags are reused when present). Returns the created center including id for POST /api/operations cost_center_id.
POST
/
api
/
cost-centers
Create a centro de resultados
curl --request POST \
--url https://api.finsync.ar/api/cost-centers \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"default_currency": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_currency: '<string>'})
};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_currency: '<string>'})
};
fetch('https://api.finsync.ar/api/cost-centers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/cost-centers"
payload = {
"name": "<string>",
"default_currency": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"company_id": 123,
"client_id": 123,
"name": "<string>",
"default_currency": "<string>",
"default_internal_account_id": 123,
"net_balance_by_default": true,
"owner_name": "<string>",
"owner_email": "<string>",
"department": "<string>",
"budgets": "<array>"
}Authorizations
API Key for authentication
Body
application/json
Display name of the centro de resultados
Default currency code, e.g. USD
Maximum string length:
10Optional internal caja account in the API-key company
Defaults to true when omitted
Response
Cost center created with tagged type=1 client
Imputation client created for the center
Empty on create; same field as GET /api/cost-centers items